Bug 1017893 - "Window List" extension sometimes visible on lock screen
"Window List" extension sometimes visible on lock screen
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 13:30 EDT by Stephen Gallagher
Modified: 2013-11-07 07:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 07:39:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2013-10-10 13:30:58 EDT
Description of problem:
When locking the screen while the "Window List" extension is enabled, sometimes the window list and workspace switcher remains visible and usable on the lock screen. This means that someone has the option of closing windows in the session without unlocking the screen.

This seems to mostly happen when the gnome-shell has been restarted (either manually or by crash-recovery).

Version-Release number of selected component (if applicable):
gnome-shell-extension-window-list-3.10.0-1.fc20.noarch
gnome-shell-3.10.0.1-1.fc20.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Install the Window List extension and enable it using extensions.gnome.org or the GNOME Tweak Tool.
2. Hit "alt-f2", type 'r' and hit enter
3. Lock the screen

Actual results:
The window list remains visible on the lock screen and windows can be closed without entering the user's password.

Expected results:
The lock screen should not show the window list.

Additional info:
Going into the tweak tool and disabling/re-enabling the extension restores it to the expected behavior.
Comment 1 Stephen Gallagher 2013-10-16 08:56:24 EDT
Linking this to the GNOME upstream bug report.
Comment 2 Florian Müllner 2013-11-06 18:09:33 EST
(In reply to Stephen Gallagher from comment #1)
> Linking this to the GNOME upstream bug report.

I'm afraid that bug is unrelated.

Could you provide the relevant session log for the window-list issue? Something like "journalctl _SYSTEMD_SESSION=$XDG_SESSION_ID -b | grep 'JS LOG'" should do the job ...
Comment 3 Stephen Gallagher 2013-11-07 07:39:17 EST
This was apparently fixed in GNOME 3.10.1. I can no longer reproduce it with
gnome-shell-3.10.1-1.fc20.x86_64
gnome-shell-extension-window-list-3.10.1-1.fc20.noarch

Marking as CLOSED/CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.